﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CycleMdiTabs98652
{
    public partial class Form1 : Form
    {
        //Create a variable to store the current active tab's index
        int activeTabIndex;

        public Form1()
        {
            InitializeComponent();

            this.Load += new EventHandler(Form1_Load);
            this.KeyDown += new KeyEventHandler(Form1_KeyDown);
        }

        void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            //Check to see if the Alt + Right directional keys are pressed
            if ((e.KeyCode == Keys.Right) && e.Alt)
                //if true, fire the nextTab method
                nextTab();

            //Check to see if the Alt + Left directional keys are pressed
            else if ((e.KeyCode == Keys.Left) && e.Alt) previousTab();
            //if true, fire the previousTab method
        }

        void Form1_Load(object sender, EventArgs e)
        {
            //Ensure that the form receives key events before the event is passed to the control in focus
            this.KeyPreview = true;

            //Designate Form1 as an Mdi container
            this.IsMdiContainer = true;

            Form2 f2;
            
            //Create demo instances of a basic form to be used as Mdi children, assign them as children of Form1
            for (int i = 0; i < 5; i++)
            {
                f2 = new Form2();
                f2.MdiParent = this;
                f2.Text = "Tab" + i.ToString();
                f2.Show();
            }

            //Set the activeTabIndex to the currently selected Mdi tab, this value will always be zero by default unless developer is activating a different tab
            //Using the currently selected tab's index just in case
            activeTabIndex = ultraTabbedMdiManager1.ActiveTab.Index;
        }

        void nextTab()
        {
            //Increment the activeTabIndex by one, referencing the next tab in the collection
            activeTabIndex++;

            //Ensure that the tab index does not exceed that provided by the collection, if it does, reset to the first position, by setting the value to zero
            if (activeTabIndex > ultraTabbedMdiManager1.TabGroups.Count - 1) activeTabIndex = 0;

            //Select the tab whose index matches the activeTabIndex
            ultraTabbedMdiManager1.TabGroups[activeTabIndex].SelectedTab.Activate();
        }

        void previousTab()
        {
            //Decrement the activeTabIndex by one, referencing the next tab in the collection
            activeTabIndex--;

            //Ensure that the tab index does not become negative, as this would exceed the lower limit of the tab collection, rather set the value to the last
            //tab's index in the collection
            if (activeTabIndex < 0) activeTabIndex = ultraTabbedMdiManager1.TabGroups.Count - 1;

            //Select the tab whose index matches the activeTabIndex
            ultraTabbedMdiManager1.TabGroups[activeTabIndex].SelectedTab.Activate();
        }
    }
}
